### Method

# Gck ObjectCache update

#### Declaration [src]

    gboolean
    gck_object_cache_update (
      GckObjectCache* object,
      const gulong* attr_types,
      gint n_attr_types,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Update the object cache with given attributes. If an attribute already exists in the cache, it will be updated, and if it doesn’t it will be added.

This may block, use the asynchronous version when this is not desirable.

#### Parameters

`attr_types` | An array of `gulong`
| The types of attributes to update.
| The length of the array is specified in the `n_attr_types` argument.
| The data is owned by the caller of the function.
`n_attr_types` | `gint`
| The number of attribute types.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether the cache update was successful.